-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
-- Sergio Luis Silva	sergioteacher at gmail.com	RA: 02593952
--
-- Projeto um circuito logico que conta de 0 at 99
-- ao chegar no numero 99 deve voltar para o 0 (zero).
-- A saida deve ser os digitos 1 e 2 da placa UP2
-- Cada vez que o switch 1 passar de 0 para 1, o display
-- deve ser incrementado.
-- O botao 28 deve ser o reset, ou seja, quando ele for  0
-- o display deve ser zerado


entity projeto11 is
	port(
		reset: in bit;
		display1: out bit_vector(1 to 7);
		display2: out bit_vector(1 to 7));
end projeto11;

architecture arqProjeto11 of projeto11 is
begin
	process(reset)
		variable numero : integer range 0 to 99;
		variable quociente : integer range 0 to 9;
		variable mode : integer range 0 to 9;
	begin
	
		if numero = 99 then
			numero := 0;
		else
			numero := numero + 1;
		end if;
			
		if  reset = '0' then
			numero:= 0;
			quociente := 0;
			mode:= 0;
		end if;
		
		quociente := numero / 10;
		mode := numero mod 10;
	
		case quociente is
			when 0 =>	-- 0
				display1 <= "0000001";
			when 1 =>	-- 1
				display1 <= "1001111";
			when 2 =>	-- 2
				display1 <= "0010010";
			when 3 =>	-- 3
				display1 <= "0000110";
			when 4 =>	-- 4
				display1 <= "1001100";
			when 5 =>	-- 5
				display1 <= "0100100";
			when 6 =>	-- 6
				display1 <= "0100000";
			when 7 =>	-- 7
				display1 <= "0001111";
			when 8 =>	-- 8
				display1 <= "0000000";
			when 9 =>	-- 9
				display1 <= "0001100";
			when others =>	-- tudo apagado
				display1 <= "1111111";
		end case;
		case mode is
			when 0 =>	-- 0
				display2 <= "0000001";
			when 1 =>	-- 1
				display2 <= "1001111";
			when 2 =>	-- 2
				display2 <= "0010010";
			when 3 =>	-- 3
				display2 <= "0000110";
			when 4 =>	-- 4
				display2 <= "1001100";
			when 5 =>	-- 5
				display2 <= "0100100";
			when 6 =>	-- 6
				display2 <= "0100000";
			when 7 =>	-- 7
				display2 <= "0001111";
			when 8 =>	-- 8
				display2 <= "0000000";
			when 9 =>	-- 9
				display2 <= "0001100";
			when others =>	-- tudo apagado
				display2 <= "1111111";
		end case;
	end process;
end arqProjeto11;