-- Projeto Half Adder
--
-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
--
-- Descricao:
-- Projetar um half adder de acordo com a tabela abaixo:
--		x		pino 28
--		y		pino 29
--		s		pino 14
--		c		pino 25

library ieee;
use ieee.std_logic_1164.all;

entity halfadder is
	port (
		x, y: in std_logic;
		s, c: out std_logic
		);
end halfadder;

architecture archHalfadder of halfadder is
begin
	s <= x xor y;
	c <= x and y;
end archHalfadder;
