-- Projeto Full Adder
--
-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
--

library ieee;
use ieee std_logic_1164.all;

entity fulladder is
	port (
		in, x, y: in std_logic;
		s, cout: out std_logic
	);
end fulladder;

architecture arcFullAdder of fulladder is
	signal s1, s2, s2: std_logic;
	port (
		x, y: in std_logic;
		s,c: out std_logic;
	);
begin
	passo1: halfadder portmap(x, y, s1, s2);
	passo2: halfadder portmap(in, s1, s, s3);
	passo3: cout <= s2 or s3;
end logicfunc;
	