-- Projeto contador com clock
--
-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
-- Sergio Luis Silva	sergioteacher at gmail.com	RA: 02593952
--
--	Projeto que controla um display de sete segmentos
-- O display de saida deve ser o digito 1 da placa UP2
-- que representara os numeros de 0 a F (base hexadecimal)
-- Os numeros entram no circuitos atraves de quatros entradas
-- conectas aos pinos 41, 40, 39 e 38
-- 1 = apagado ; 0 = aceso

entity projeto5 is
	port(
		entrada: in bit_vector(1 to 4);
		saida: out bit_vector(1 to 7));
end projeto5;

architecture arqProjeto5 of projeto5 is
begin
	process(entrada)
	begin
		case entrada is
			when "0000" =>
				saida <= "0000001";
				
			when "0001" =>	-- 1
				saida <= "1001111";
				
			when "0010" =>	-- 2
				saida <= "0010010";
					
			when "0011" =>	-- 3
				saida <= "0000110";
				
			when "0100" =>	-- 4
				saida <= "1001100";
				
			when "0101" =>	-- 5
				saida <= "0100100";
			
			when "0110" =>	-- 6
				saida <= "0100000";
			
			when "0111" =>	-- 7
				saida <= "0001111";
				
			when "1000" =>	-- 8
				saida <= "0000000";
				
			when "1001" =>	-- 9
				saida <= "0001100";

			when "1010" =>	-- A
				saida <= "0001000";
				
			when "1011" =>	-- b
				saida <= "1100000";
				
			when "1100" =>	-- C
				saida <= "0110001";
			
			when "1101" =>	-- d
				saida <= "1000010";
				
			when "1110" =>	-- E
				saida <= "0110000";
				
			when "1111" =>	-- F
				saida <= "0111000";
				
			when others =>	-- tudo apagado
				saida <= "1111111";
		end case;
	end process;	
end arqProjeto5;
