-- Projeto contador com clock
--
-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
-- Sergio Luis Silva	sergioteacher at gmail.com	RA: 02593952
--
-- Projetar um cicuito que controla um cadeado eletronico
-- Entrada: 8 bits conectados aos pinos 41, 40, 39, 38, 36, 35, 34, 33
-- Funcionamento:
-- Existe uma senha interna definida pelo projeto
-- Se a entrada igual a senha, o cadeado deve exibir A
-- Se nao, exibir F
-- 1 = apagado ; 0 = aceso
-- Aberto quando abaixados os pinos de 1 ate 5

entity projeto6 is
	port(
		entrada: in bit_vector(1 to 8);
		saida: out bit_vector(1 to 7));
end projeto6;

architecture arqProjeto6 of projeto6 is
	constant senha: bit_vector(1 to 8) := "00000111";	-- 7
begin
	process(entrada)
	begin
		if entrada = senha then
			saida <= "0001000";	-- A
		else
			saida <= "0111000";	-- F
		end if;
	end process;	
end arqProjeto6;
