-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
-- Sergio Luis Silva	sergioteacher at gmail.com	RA: 02593952
--
-- Projeto um circuito que receba como entrada dois numeros de quatro bits
-- ou seja, cada numero esta compreendido entre 0:15.
-- As entradas do primeiro numero sao os switches de 1 a 4
-- As entradas do segundo sao os switches 5 a 8
-- Saida:
--	0: se os numeros forem iguais
--	1: se o primeiro numero eh maior que o segundo
--	2: se o segundo numero eh maior que o primeiro
--
-- Pinos:
-- 	Entrada:
--		x : 41,40,39,38
--		y : 36,35,34,33
--	Saida:
--		saida: 6,7,8,9,11,12,13

entity projeto7 is
	port(
		x: in bit_vector(1 to 4);
		y: in bit_vector(1 to 4);
		saida: out bit_vector(1 to 7));
end projeto7;

architecture arqProjeto7 of projeto7 is
begin
	process(x, y)
	begin
		if x = y then
			saida <= "0000001";	-- 0
		elsif x > y then
			saida <= "1001111";	-- 1
		else
			saida <= "0010010";	-- 2
		end if;
	end process;	
end arqProjeto7;
