-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
-- Sergio Luis Silva	sergioteacher at gmail.com	RA: 02593952
--
-- Com 6 bits podemos escrever qualquer numero decimal de 0 a 63 em base binaria
-- Faca um projeto que, para um numero binario nos switches de 1 a 6
-- exibe o numero decimal correspondente nos digitos 1 e 2


entity projeto10 is
	port(
		x: in integer range 0 to 63;
		display1: out bit_vector(1 to 7);
		display2: out bit_vector(1 to 7));
end projeto10;

architecture arqProjeto10 of projeto10 is
begin
	process(x)
		variable quociente : integer range 0 to 6;
		variable mode : integer range 0 to 9;
	begin
		quociente := x / 10;
		mode := x mod 10;
	
		case quociente is
			when 0 =>	-- 0
				display1 <= "0000001";
			when 1 =>	-- 1
				display1 <= "1001111";
			when 2 =>	-- 2
				display1 <= "0010010";
			when 3 =>	-- 3
				display1 <= "0000110";
			when 4 =>	-- 4
				display1 <= "1001100";
			when 5 =>	-- 5
				display1 <= "0100100";
			when 6 =>	-- 6
				display1 <= "0100000";
			when 7 =>	-- 7
				display1 <= "0001111";
			when 8 =>	-- 8
				display1 <= "0000000";
			when 9 =>	-- 9
				display1 <= "0001100";
			when others =>	-- tudo apagado
				display1 <= "1111111";
		end case;
		case mode is
			when 0 =>	-- 0
				display2 <= "0000001";
			when 1 =>	-- 1
				display2 <= "1001111";
			when 2 =>	-- 2
				display2 <= "0010010";
			when 3 =>	-- 3
				display2 <= "0000110";
			when 4 =>	-- 4
				display2 <= "1001100";
			when 5 =>	-- 5
				display2 <= "0100100";
			when 6 =>	-- 6
				display2 <= "0100000";
			when 7 =>	-- 7
				display2 <= "0001111";
			when 8 =>	-- 8
				display2 <= "0000000";
			when 9 =>	-- 9
				display2 <= "0001100";
			when others =>	-- tudo apagado
				display2 <= "1111111";
		end case;
	end process;
end arqProjeto10;
