-- Projeto Full Adder
--
-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
--
-- Pinos:
--	cin		pino 41
--	x		pino 40
--	y		pino 39
--	s		pino 14
--	cout	pino 25

library ieee;
use ieee.std_logic_1164.all;

entity fulladder is
	port (
		cin, x, y: in std_logic;
		s, cout: out std_logic
	);
end fulladder;

architecture arcFullAdder of fulladder is
	signal s1,s2,s3: std_logic;
	component halfadder
		port (
			x, y: in std_logic;
			s, c: out std_logic
		);
	end component;
begin
	passo1: halfadder port map(x, y, s1, s2);
	passo2: halfadder port map(cin, s1, s, s3);
	passo3: cout <= s2 or s3;
end arcFullAdder;
