-- Projeto um circuito logico 
--
-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
-- Sergio Luis Silva	sergioteacher at gmail.com	RA: 02593952
--
-- Entrada:
--	x : 1 ate 8 (x1..x8)usando os switches 1 a 8
-- Saida:
-- 	Display de sete segmentos, exibindo o numero de bits com valor1 em x1 ate x8
--
-- Pinos:
--	Entrada: 41,40,39,38,36,35,34
--	Saida: 6,7,8,9,11,12,13

entity projeto8 is
	port(
		x: in bit_vector(1 to 8);
		saida: out bit_vector(1 to 7));
end projeto8;

architecture arqProjeto8 of projeto8 is
begin
	process(x)
	variable total : integer range 0 to 8;
	variable i : integer range 1 to 8;
	begin
		total := 0;
		for i in 1 to 8 loop
			if x(i) = '1' then
				total := total + 1;
			end if;
		end loop;
		
		case total is
			when 0 =>	-- 0
				saida <= "0000001";
			when 1 =>	-- 1
				saida <= "1001111";
			when 2 =>	-- 2
				saida <= "0010010";
			when 3 =>	-- 3
				saida <= "0000110";
			when 4 =>	-- 4
				saida <= "1001100";
			when 5 =>	-- 5
				saida <= "0100100";
			when 6 =>	-- 6
				saida <= "0100000";
			when 7 =>	-- 7
				saida <= "0001111";
			when 8 =>	-- 8
				saida <= "0000000";
			when others =>	-- tudo apagado
				saida <= "1111111";
		end case;
	end process;	
end arqProjeto8;
