-- Projeto um circuito logico com oito entradas
--
-- Circuitos Lgicos 	2006	Prof. Srgio
-- Pontificia Universidade Catolica de Campinas
--
-- Cesar Kallas			cesarkallas at gmx.net		RA: 02099224
-- Sergio Luis Silva	sergioteacher at gmail.com	RA: 02593952
--
-- Se o numero de bits na entrada com valor 1 eh maior ou igual a 4
-- entao aparecera 1 no digito 1 da placa, contrario, aparece 0
--
-- Entrada:
-- 	x[8] usando switches de 1 ate 8
-- Saida:
--	saida = 1 se numero de 1s eh maior ou igual a 4
--  saida = 0 contrario
--
-- Pinos:
--	Entrada: 41,40,39,38,36,34,33
--	Saida: 6,7,8,9,11,12,13

entity projeto9 is
	port(
		x: in bit_vector(1 to 8);
		saida: out bit_vector(1 to 7));
end projeto9;

architecture arqProjeto9 of projeto9 is
begin
	process(x)
	variable total : integer range 0 to 8;
	variable i : integer range 1 to 8;
	begin
		total := 0;
		for i in 1 to 8 loop
			if x(i) = '1' then
				total := total + 1;
			end if;
		end loop;
		
		if total > 3 then
			saida <= "1001111";	-- 1
		else
			saida <= "0000001";	-- 0
		end if;
	end process;	
end arqProjeto9;
