-- Projeto transmissao eletronica de marchas
-- Uma montadora de veiculos pretende utilizar um dispositivo de
-- logica programavel para efetuar as trocas de marchas de um determinado
-- modelo. Esse veiculo possui cinco marchas e as velocidades
-- ideiais para seu uso sao descritas pela tabela:
-- Velocidades     Marcha
--   0 a 25          1
--  26 a 50          2
--  51 a 70			 3
--  71 a 90          4
--  acima de 91      5
-- Entradas: switch de 1 a 8 do display 1
-- Saida: numero da marcha de acordo com a velocidade

entity teste2 is
	port(
		velocidade: in integer range 0 to 92;
		display: out bit_vector(1 to 7));
end teste2;

architecture arqTeste2 of teste2 is
begin
	process(velocidade)
	begin
		if velocidade < 26 then
			display <= "1001111";	-- 1
		elsif velocidade < 51 then
			display <= "0010010";	-- 2
		elsif velocidade < 71 then
			display <= "0000110";	-- 3
		elsif velocidade < 91 then
			display <= "1001100";	-- 4
		else
			display <= "0100100";	-- 5
		end if;
	end process;
end arqTeste2;